ospf6Router
Configuration for ospf6Router resource.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| addressFamily | <String> | Read-write | IPv4 or IPv6 Address Family
Possible values: ipv4, ipv6
|
| metric | <Integer> | Read-write | The metric of redistributed routes.
Minimum value: 0
Maximum value: 16777214
|
| metricType | <Integer> | Read-write | OSPFv3 metric type for default routes - OSPFv3 External Type 1 metrics or Type 2 metrics.
Minimum value: 1
Maximum value: 2
|
| protocol | <String> | Read-write | The protocol from which routes need to be redistributed.
Possible values: bgp, connected, isis, kernel, ospf, rip, static
|
| routeMap | <String> | Read-write | Route map reference |
| tag | <String> | Read-write | Set tag for routes redistributed into OSPFv3 |
| passiveInterface | [<String>] | Read-write | Suppress routing updates on an interface |
| routerId | <String> | Read-write | Router-id for the OSPFv3 process |
| tagId | <String> | Read-write | OSPFv3 Tag |
Operations
(click to see Properties )
- ADD
- SET
- UNSET
- DELETE
- GET
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospf6Router HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"ospf6Router" : {
"afParams" : {
"addressFamily" : <String>,
"redistribute" : {
"metric" : <Integer>,
"metricType" : <Integer>,
"protocol" : <String>,
"routeMap" : <String>
}
},
"passiveInterface" : [<String>],
"routerId" : <String>,
<b>"tagId" : <String></b>
}
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
set
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospf6Router HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"ospf6Router" : {
"afParams" : {
"addressFamily" : <String>,
"redistribute" : {
"metric" : <Integer>,
"metricType" : <Integer>,
"protocol" : <String>,
"routeMap" : <String>
}
},
"passiveInterface" : [<String>],
"routerId" : <String>,
<b>"tagId" : <String></b>
}
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
unset
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospf6Router HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"ospf6Router" : {
"afParams" : {
"addressFamily" : <String>,
"redistribute" : {
"metric" : true,
"metricType" : true,
"protocol" : <String>,
"routeMap" : true
}
},
"passiveInterface" : [<String>],
"routerId" : true,
<b>"tagId" : <String></b>
}
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospf6Router?args=tagId:<String> HTTP Method: DELETE
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospf6Router URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospf6Router?args=tagId:<String> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/ospf6Router ?args=tagId:<String>
Use this query-parameter to get ospf6Router resources based on additional properties.
HTTP Method: GET
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Payload:
{ "routerDynamicRouting": {
"ospf6Router" : [{
"afParams" : [{
"addressFamily" : <String>,
"redistribute" : [{
"metric" : <Integer>,
"metricType" : <Integer>,
"protocol" : <String>,
"routeMap" : <String>,
"tag" : <String>
}]
}],
"passiveInterface" : [<String>],
"routerId" : <String>,
"tagId" : <String>
}]
}}